Skip to content

Services

All operations require authentication.

8 operationsv1/ip/service · /ip/{ip}
Agent setup

List IP servicesBeta

GET
/1.0/ip/service

List IP services. Returns the service names of your IP subscriptions, filterable by IAM tags. Each name is the serviceName of the other service calls.

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/ip/service \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get service informationBeta

GET
/1.0/ip/service/{serviceName}/serviceInfos

Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.

Path parameters

serviceName
required
string

The internal name of your IP services

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ip/service/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Get the transfer tokenProduction

GET
/1.0/ip/{ip}/migrationToken

Get the transfer token. Returns the pending token to transfer this IP to another OVHcloud account, and that account's ID.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

Response

200IpMigrationTokensuccessful operation
customerId
read-only
string

destination customer ID

token
read-only
string

migration token

Example uses ip = 192.0.2.0/24

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/migrationToken \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "customerId": "string", "token": "string"}

Change service contactsBeta

POST
/1.0/ip/service/{serviceName}/changeContact

Change service contacts. Starts a procedure to change the admin, tech or billing contact of the service.

Path parameters

serviceName
required
string

The internal name of your IP services

Request body (required)

contactAdmin
string

The contact to set as admin contact

contactBilling
string

The contact to set as billing contact

contactTech
string

The contact to set as tech contact

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ip/service/{serviceName}/changeContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Create a transfer tokenProduction

POST
/1.0/ip/{ip}/migrationToken

Create a transfer token. Generates the token that the destination OVHcloud account, given by its customer ID, needs to take over this IP.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

Request body (required)

customerId
required
string

destination customer ID

Response

200IpMigrationTokensuccessful operation
customerId
read-only
string

destination customer ID

token
read-only
string

migration token

Example uses ip = 192.0.2.0/24

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/migrationToken \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "customerId": "string", "token": "string"}

Request service terminationBeta

POST
/1.0/ip/service/{serviceName}/terminate

Request service termination. Starts the termination of the service. The admin contact receives a token by email, to confirm with the confirmTermination call.

Path parameters

serviceName
required
string

The internal name of your IP services

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ip/service/{serviceName}/terminate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Confirm service terminationBeta

POST
/1.0/ip/service/{serviceName}/confirmTermination

Confirm service termination. Terminates the service with the token sent by email to the admin contact. A reason, a future use and a comment can be given.

Path parameters

serviceName
required
string

The internal name of your IP services

Request body (required)

commentary
string

Commentary about your termination request

futureUse
TerminationFutureUseEnum

What next after your termination request

ValuesNOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITOR
reason
TerminationReasonEnum

Reason of your termination request

ValuesFEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORT
token
required
string

The termination token sent by email to the admin contact

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ip/service/{serviceName}/confirmTermination \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Update service informationBeta

PUT
/1.0/ip/service/{serviceName}/serviceInfos

Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.

Path parameters

serviceName
required
string

The internal name of your IP services

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ip/service/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"